This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 916774 - (CVE-2013-1926) CVE-2013-1926 icedtea-web: class loader sharing for applets with same codebase paths
CVE-2013-1926 icedtea-web: class loader sharing for applets with same codebas...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130417,repor...
: Security
Depends On: 949094 949095
Blocks: 884765
  Show dependency treegraph
 
Reported: 2013-02-28 16:05 EST by Tomas Hoger
Modified: 2013-04-17 15:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: icedtea-web 1.2.3, icedtea-web 1.3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 15:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-02-28 16:05:40 EST
It was discovered that IcedTea-Web browser plugin incorrectly used the same class loader for applets with the same codebase paths.  The default and commonly used codebase value is ".".  A malicious applet could use this flaw to gain information about or possibly manipulate other applets currently running in the browser.  This could possibly lead to malicious applet's code being executed as part of the other applet.
Comment 5 Murray McAllister 2013-04-17 03:29:55 EDT
Acknowledgements:

This issue was discovered by Jiri Vanek of the Red Hat OpenJDK Team.
Comment 6 Tomas Hoger 2013-04-17 05:23:23 EDT
Fixed now in upstream IcedTea-Web versions 1.2.3 and 1.3.2:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022790.html

Upstream commit:

http://icedtea.classpath.org/hg/release/icedtea-web-1.3/rev/25dd7c7ac39c
Comment 7 errata-xmlrpc 2013-04-17 14:33:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0753 https://rhn.redhat.com/errata/RHSA-2013-0753.html

Note You need to log in before you can comment on or make changes to this bug.